<?php
/*
Simple:Press
User Selection Plugin Admin Options Form
$LastChangedDate: 2014-09-07 13:22:23 -0700 (Sun, 07 Sep 2014) $
$Rev: 11946 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_user_selection_admin_options_form() {
	$sfstorage = sp_get_option('sfconfig');
    $data = sp_get_option('user-selection');

	spa_paint_options_init();
	spa_paint_open_tab(__('Language Files', 'sp-usel'), true);
		spa_paint_open_panel();
			spa_paint_open_fieldset(__('Language Options', 'sp-usel'), true, 'language-options');
				spa_paint_checkbox(__('Display default English as language option', "sp-usel"), 'usedefault', $data['usedefault']);
			spa_paint_close_fieldset();
		spa_paint_close_panel();

		spa_paint_open_panel();
			spa_paint_open_fieldset(__('Language File Naming', 'sp-usel'), true, 'language-names');
                $langs = get_available_languages(WP_CONTENT_DIR.'/'.$sfstorage['language-sp']);
    			if ($data['usedefault']) $langs[] = 'en';
    			sort($langs);
?>
				<table class="widefat fixed spMobileTable800" style="padding:0;border-spacing:0;border-collapse:separate">
                    <thead>
					<tr>
						<th style="text-align:center;"><?php _e('Translation File', 'sp-usel'); ?></th>
						<th style="text-align:center;"><?php _e('Display Name', 'sp-usel'); ?></th>
					</tr>
                    </thead>

                    <tbody>
<?php
                    if ($langs) {
                        $class = 'class="spMobileTableData alternate"';
						foreach ($langs as $lang) {
?>
							<tr <?php echo $class; ?>>
<?php
                                $thislang = sp_filter_filename_save($lang);
                                $name = (!empty($data['names'][$lang]) ? sp_filter_title_display($data['names'][$lang]) : '');
?>
								<td data-label="<?php echo __('Translation', 'sp-usel'); ?>" style="text-align:center;"><?php echo $thislang; ?></td>
								<td data-label="<?php echo __('Name', 'sp-usel'); ?>" style="text-align:center;">
       	                            <input type="text" name="names[<?php echo $thislang; ?>]" value="<?php echo $name; ?>" />
                                </td>
							</tr>
<?php
                    		$class = (strpos($class, 'alternate') === false) ? ' class="spMobileTableData alternate"' : ' class="spMobileTableData"';
                        }
                    } else {
?>
						<tr>
							<td colspan="2"><?php _e('There are no language translations available.', 'sp-usel'); ?></td>
						</tr>
                    <?php }?>
                </tbody>
				</table>
<?php
			spa_paint_close_fieldset();
		spa_paint_close_panel();
		spa_paint_close_container();
}
?>