<?php
/*
Simple:Press
User Selection plugin install/upgrade routine
$LastChangedDate: 2014-06-07 14:32:19 -0700 (Sat, 07 Jun 2014) $
$Rev: 11528 $
*/

if (preg_match('#'.basename(__FILE__).'#', $_SERVER['PHP_SELF'])) die('Access denied - you cannot directly call this file');

function sp_user_selection_do_upgrade_check() {
    if (!sp_is_plugin_active('user-selection/sp-user-selection-plugin.php')) return;

    $data = sp_get_option('user-selection');

    $db = $data['dbversion'];
    if (empty($db)) $db = 0;

    # quick bail check
    if ($db == SPUSELDBVERSION ) return;

    # apply upgrades as needed
    if ($db < 1) {
        $data['usedefault'] = true;
    }

    # save data
    $data['dbversion'] = SPUSELDBVERSION;
    sp_update_option('user-selection', $data);
}

?>